#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
inline ll read()
{
	ll res = 0, f = 1; char ch = getchar();
	while (ch < '0' || ch > '9') f = (ch == '-' ? -1 : f), ch = getchar();
	while (ch >= '0' && ch <= '9') res = (res << 1) + (res << 3) + (ch ^ 48), ch = getchar();
	return res * f;
}
inline void write(ll x)
{
	if (x < 0) putchar('-'), x = -x;
	if (x > 9) write(x / 10);
	putchar(x % 10 + '0');
}
inline void writech(ll x, char ch) { write(x), putchar(ch); }
const ll mod = 1e9 + 7;
const int N = 1e5 + 5;
int n, m, v, x[N];
ll qpow(ll a, ll b)
{
	ll res = 1;
	while (b)
	{
		if (b & 1) res = res * a % mod;
		a = a * a % mod;
		b >>= 1;
	}
	return res;
}
int main()
{
	freopen("assign.in", "r", stdin);
	freopen("assign.out", "w", stdout);
	int T = read();
	while (T--)
	{
		cout << 0 << endl;
	}
	return 0;
}

